Perform operations on a list of campaign configurations that belong to a specified tenant.

The API is used to perform operations on a list of campaign configurations that belong to a specific tenant.
The administrator managing a specified tenant can perform operations on a list of all campaign configurations created for that tenant.
The owners of the application can update a list of campaign configurations that are created by them or includes at least one application owned by them.
Entitlements required: tenantadmin [Tenant Administrator].

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Body Params

List of campaign configurations on which to execute specified operations:
Request payload details:

op: Operation to be performed on the given campaign configuration.
Allowable values for op are: replace, remove, delete, cancel.
replace: Update the campaign configuration.
remove: Mark the campaign configuration to removal from the database.
delete: Delete the campaign configuration immediately from the database.
cancel: Cancel running and all future instances of this campaign.

path: Campaign configuration ID.

value: Campaign configuration details. The field is required when executing the 'replace' operation.
owner: Information about the campaign owner.
type: Type of campaign (For example, userassignment, groupassignment, account, groupmembership).
priority: Priority of the campaign (For example, high, medium, low ).
name: Name of the campaign.
description: Description of the campaign.
reviewer: Information about the campaign reviewer.
- applications: List of applications that the campaign certifies.
Note: This is a required field for Group entitlement and Account campaign, however, in case of User entitlement campaigns, either the 'Applications' or 'Entitlement' or both must be specified. This is not required for Group Membership.
- userFilter: It is set to filter the list of included or excluded users or groups for certification.


In case of user entitlement campaign, you can either specify userConditionSet or userInclusionList or userExclusionList in userFilter.

- entitlementFilter: It is set to filter the list of included or excluded entitlements for certification.


You can either specify entitlementInclusionList or entitlementExclusionList in entitlementFilter.
launchDate: Date when the first instance of the campaign starts.
creationDate: Creation date of the campaign configuration.
duration: The duration (in milliseconds) for which each campaign instance remains open.
frequency: Frequency of campaign instance.
runNow: Flag to start the campaign immediately.
nextRunDate: Forecasted Run Date for the next campaign instance.
overdueAction: Action for open records when a campaign closes.
mitigationAction: Action after a campaign closes to avoid open records.
defaultReviewer: Default reviewer for assignments without a suitable reviewer.
preview: A flag indicating that the campaign is in preview mode and not open to reviewers.
continuous:A flag indicating that the campaign is continuous. Default value for continuous is 'false'.
continuousCampaignMetaData: Details of continuous campaign.
  generateInitialDataSet: A flag indicating whether to load the initial data set while creating a continuous campaign.
  Default value is 'false'
  reminderAction: Action for sending periodic reminders to reviewers for unreviewed assignments.
  Default value is { type = none, reminderInterval=0 }.
  Allowable value for type in reminderAction are: none, reminder.
  'reminderInterval' is the number of days after sending periodic reminders to reviewers.
  Default value for reminderInterval is 10 (in days) when type is reminder
  overdueThreshold: Number of days after set default action on unreviewed entitlements.
  Default value is '30'
  overdueAction: Default action on unreviewed entitlements after a specific period has elapsed.
  Allowable values are rejectAll, approveAll or doNothing.
  automaticRefresh: A flag indicating that campaign should refresh the existing filter for building dataset.
  This field is only applicable for the continuous account campaign.
  Default value is 'true'
  events: A list of events thats needs to be monitored through the campaign.
  example:
    "continuousCampaignMetaData": {
       "generateInitialDataSet": false,
       "reminderAction": "reminderAction": { "type": "reminder", "reminderInterval": 10 },
       "overdueThreshold": 30,
       "overdueAction": "rejectAll",
       "events": [
          {
                  "type":"CHANGE_USER_PROFILE",
                  "monitoredAttributes": [
                          {"id":"12","name":"departmentNumber"},
                          {"id":"30","name":"gtwayManager"}
                  ]
          }
       ]
    }
  continuousCampaignMetaData should be added when "continuous" is true.
signOff: Campaign sign-off policy refers to the pre-determined approach that governs when and how campaign actions are officially approved or denied (auto, manual, eoc, no_signoff).
Allowable values for signOff are auto, manual, eoc or no_signoff.
auto: The setting would mean immediate sign-off. Actions taken by the approver in terms of approve or reject are applied on the assignment immediately).
manual: The setting would mean a manual sign-off. The certifier can decide for himself if he wants to enforce his action immediately OR at the end of the campaign).
eoc: The setting would mean sign-off towards the end of the campaign. Actions taken by the approver in terms of approval or rejection are persisted till the Due date of the campaign and then rolled out together).
no_signoff: Actions are not executed and only used for reporting.
supervisors: List of supervisors identified for the campaign.
allowSupervisorEscalation: Allow escalation to supervisors.
reviewerOverwritten: Flag indicating if the reviewer is manually overwritten.

Headers
boolean
required

If the value is set to true, the API call is treated as an admin API call.

Responses
204

The operation was successful.

500

Your operation can't be processed because an internal server error occurred.

Language
URL
LoadingLoading

Response
Choose an example:
application/json